//All the cookie setting up
function geniumSetCookie(cookieName, cookieValue, nDays) {
	var today = new Date();
	var expire = new Date();
	if (nDays==null || nDays==0) nDays=1;
	expire.setTime(today.getTime() + 3600000*24*nDays);
	document.cookie = cookieName+"="+escape(cookieValue)+ ";expires="+expire.toGMTString()+"; path=/";
}
function geniumReadCookie(cookieName) {
	var theCookie=" "+document.cookie;
	var ind=theCookie.indexOf(" "+cookieName+"=");
	if (ind==-1) ind=theCookie.indexOf(";"+cookieName+"=");
	if (ind==-1 || cookieName=="") return "";
	var ind1=theCookie.indexOf(";",ind+1);
	if (ind1==-1) ind1=theCookie.length;
	// Returns true if the versions match
	return ctcc_vars.version == unescape(theCookie.substring(ind+cookieName.length+2,ind1));
}
function geniumDeleteCookie(cookieName) {
	document.cookie = cookieName + '=;expires=Thu, 01 Jan 1970 00:00:01 GMT;path=/';
}
function geniumAcceptCookies() {
	geniumSetCookie('catAccCookies', ctcc_vars.version, ctcc_vars.expiry);
	jQuery("html").removeClass('has-cookie-bar');
	jQuery("html").css("margin-top","0");
	jQuery("#genium-cookie-bar").fadeOut();
}
// The function called by timer
function ctccCloseNotification() {
		geniumAcceptCookies();
}
// The function called if first page only is specified
function ctccFirstPage() {
	if ( ctcc_vars.method ) {
		geniumSetCookie('catAccCookies', ctcc_vars.version, ctcc_vars.expiry);
	}
}
jQuery(document).ready(function($){
	$('.x_close').on('click', function(){
		geniumAcceptCookies();
	});
});
